This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### Object
Examples |
    // Declare and construct two objects (h1, h2) from the class HLine
    HLine h1 = new HLine(20, 2.0);
    HLine h2 = new HLine(50, 2.5);

    void setup()
    {
      size(200, 200);
      frameRate(30);
    }

    void draw() {
      background(204);
      h1.update();
      h2.update();
    }

    class HLine {
      float ypos, speed;
      HLine (float y, float s) {
        ypos = y;
        speed = s;
      }
      void update() {
        ypos += speed;
        if (ypos > width) {
          ypos = 0;
        }
        line(0, ypos, width, ypos);
      }
    }
Description | Objects are instances of classes. A class is a grouping of related methods (functions) and fields (variables and constants).
Syntax |
    ClassName instanceName
Parameters |
ClassName | the class from which to create the new object
instanceName | the name for the new object
Related | class

Updated on October 26, 2013 08:58:35pm PDT